# class Object

frozen_string_literal: false

### Public Class Methods

yaml_tag(url) click to toggle source

    # File lib/psych/core_ext.rb, line 3
    def self.yaml_tag url
      Psych.add_tag(url, self)
    end

### Public Instance Methods

to_yaml(options = {}) click to toggle source

Convert an object to YAML. See Psych.dump for more information on the available `options`.

    # File lib/psych/core_ext.rb, line 14
    def psych_to_yaml options = {}
      Psych.dump self, options
    end

Also aliased as: to_yaml
to_yaml(options = {})
Alias for: psych_to_yaml